Subject: bug#31904: scatch/ns-drawing

From: Alan Third <[email-masked]>
Date: Sun, 19 Aug 2018 10:59:07 +0100

On Sat, Aug 18, 2018 at 12:23:02PM -0700, [email-masked] wrote:
> Another wrinkle (emacs-26 with patch applied):
> 
> When I change my font, all the text disappears except for the current line.
> 
> The text comes back if:
> 
> - I move the cursor over the affected areas.
> - I wait a bit (from the cursor line down renders).
> - Switch away to a non-Emacs window.
> 
> Seems like as soon as there’s a reason to paint the screen, it comes back.

I take it the frame changes size when you change font?

If you evaluate this does the frame redraw right?

  (set-frame-width nil 103)

-- 
Alan Third